Subject: Re: [RFC net-next 08/22] eth: bnxt: support setting size of agg buffers via ethtool

From: Jakub Kicinski <[email-masked]>
Date: Fri, 25 Apr 2025 15:58:49 -0700

On Wed, 23 Apr 2025 14:00:01 -0700 Mina Almasry wrote:
> Where does the power of 2 limitation come from? bnxt itself? Or some mp issue?
> 
> dmabuf mp can do non-power of 2 rx_buf_len, I think. I haven't tested
> recently. It may be good to only validate here what bnxt can't do at
> all, and let a later check in the pp/mp let us know if the mp doesn't
> like the size.

I haven't actually tested anything else, but no real reason at this
point. I was wondering if it's worth trying to allow 64k - 1 since
that'd still fit on 16 bits. But left that for future work, cause
it will make all copy offsets funny-sized. We'd probably want something
like 64k - 4k ? Dunno, either way slightly unpleasant. There's probably
more that can be done from the NIC side.